from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XWindowArranger(XInterface, Protocol):
    def hasArrangeCommand(self, nCommand: int) -> bool: ...
    def arrange(self, nCommand: int) -> None: ...
